%define name smeserver-wsdd
%define version 0.2
%define release 7
Summary: Plugin to enable wsdd
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 10.0
Requires: python3
Requires: wsdd >= 0.6


AutoReqProv: no

%description
wsdd implements a Web Service Discovery host daemon. This enables (Samba) hosts, like your local NAS device, to be found by Web Service Discovery Clients like Windows.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.2-7.sme
- Fix e-smith references in smeserver-wsdd [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.2-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Jul 03 2020 --> Wed Jul 01 2020 or Fri Jul 03 2020 or Wed Jul 08 2020 or ....

* Tue Feb 23 2021 Jean-Philipe Pialasse <tests@pialasse.com> 0.2-5.sme
- improve update event to restart service and expand all necessary elements [SME: 11209]
  also add post-action for wsdd
- move templated service file as dropin [SME: 11386]

* Mon Dec 21 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.2-4.sme
- Fix masq template for iptables [SME: 11209]

* Sun Nov 29 2020 Brian Read <brianr@bjsystems.co.uk> 0.2-3.sme
- Fix systemd params - WantedBy [SME: 11209]

* Fri Nov 27 2020 Brian Read <brianr@bjsystems.co.uk> 0.2-2.sme
- Add in creatlinks stuff for systemd startup [SME: 11209]

* Mon Jul 06 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.2-1.sme
 - template unit file
 - template masq file
 - systemctl enable after install

* Wed Jul 03 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1.sme
 - Initial build

%prep
%setup
mkdir -p root/usr/lib/systemd/system/wsdd.service.d

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%pre
%preun
%post

systemctl enable wsdd

echo "****************************************"
echo "https://wiki.contribs.org/wsdd"
echo "****************************************"

%postun
